<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="menu">
      <h2 data-cy="menuDetailsHeading"><span jhiTranslate="jokegeneratorApp.menu.detail.title">Menu</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ menu.id }}</span>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.menu.name">Name</span></dt>
        <dd>
          <span>{{ menu.name }}</span>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/menu', menu.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
